Get Relayer Stats
curl --request GET \
--url https://api.rated.network/v0/eth/operators/{operator_id}/relayers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rated.network/v0/eth/operators/{operator_id}/relayers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rated.network/v0/eth/operators/{operator_id}/relayers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"percentage": 0.00041296716911005574,
"relayer": "agnostic"
}
]{
"detail": [
{
"msg": "<string>",
"type": "<string>",
"loc": [
"<string>"
]
}
]
}Operators
Relayer distribution
GET
/
v0
/
eth
/
operators
/
{operator_id}
/
relayers
Get Relayer Stats
This endpoints returns information relating to an entity’s historical distribution of relays they have procured blocks from.
Here’s how to interpret the inputs required to operate it 👇
| Parameter | Context |
|---|---|
operatorId | The name of the entity in question. This could be deposit address, a node operator, or a pool. Please see our docs to get a better understanding of how we aggregate validators. |
window | The time window of aggregation. You might ask for 1d, 7d, 30d or All-time data. |
idType | The type of entity class you would like returned. You might ask for pool, poolShare, nodeOperator, depositAddress, or withdrawalAddress. Note: it is optional and can be inferred automatically for pools, pool shares and node operators. It defaults to depositAddress if it is missing and an address is provided. |
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
mainnet, hoodi, holesky Path Parameters
Query Parameters
Available options:
depositAddress, withdrawalAddress, nodeOperator, pool, poolShare, subNodeOperator, entity, validator, privateSet Available options:
1d, 7d, 30d, all